> ## Documentation Index
> Fetch the complete documentation index at: https://pearsdb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Create a user.



## OpenAPI

````yaml POST /v2/users
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: apps
    description: App Routes
  - name: checkout-sessions
    description: Checkout Session Routes
  - name: disputes
    description: Disputes Routes
  - name: flows
    description: Flow routes
  - name: payments
    description: Payment Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payment-intents
    description: Payment Intent Routes
  - name: payment-methods
    description: Payment Method Routes
  - name: payouts
    description: Payout Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: transactions
    description: Transaction Routes
  - name: transfers
    description: Transfer routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: users
    description: User routes
paths:
  /v2/users:
    parameters: []
    post:
      tags:
        - users
      summary: Create a User
      description: Create a user.
      operationId: create-user
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                  description: The user's first name.
                last_name:
                  type: string
                  description: The user's last name.
                email:
                  type: string
                  format: email
                  description: The user's email address.
                country_code:
                  type: string
                  description: The user's phone number country code. e.g. "1"
                phone_number:
                  type: string
                  description: The user's phone number. e.g. "4157223331".
                username:
                  type: string
                  minLength: 1
                  maxLength: 50
                  description: Username to assign the user.
                metadata:
                  type:
                    - string
                    - object
                  description: >-
                    Set of key-value pairs that you can attach to an object.
                    This can be useful for storing additional information about
                    the object in a structured format.
              required:
                - first_name
                - last_name
                - email
                - country_code
                - phone_number
            examples:
              Example:
                value:
                  first_name: Bob
                  last_name: Loblaw
                  email: bob@bobloblaw.com
                  country_code: '1'
                  phone_number: '4154332334'
                  metadata:
                    internal_id: user_121344
        description: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/user'
                description: The created `user` object.
        '400':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/user'
                description: The created `user` object.
        '401':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/user'
                description: The created `user` object.
components:
  schemas:
    user:
      type: object
      properties:
        id:
          type: string
          format: uuid
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
          format: email
        phone_number:
          type: object
          properties:
            country_code:
              type: string
            phone_number:
              type: string
        wallet:
          $ref: '#/components/schemas/wallet'
        compliance:
          type: object
          properties:
            tax_id_collected:
              type: boolean
            address_collected:
              type: boolean
            date_of_birth_collected:
              type: boolean
            must_collect_1099:
              type: boolean
            1099_collected:
              type: boolean
            w8_ben_collected:
              type: boolean
            flagged:
              type: boolean
            id_verified:
              type: boolean
        metadata:
          type:
            - string
            - object
            - 'null'
          description: >-
            Set of key-value pairs that you can attach to an object. This can be
            useful for storing additional information about the object in a
            structured format.
    wallet:
      type: object
      properties:
        amount:
          type: integer
        withdrawable_amount:
          type: integer
        credit_balance:
          type: integer
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````